=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2009-04-01 20:11:48 +0000
+++ loggerhead/apps/branch.py	2009-03-17 00:02:21 +0000
@@ -31,7 +31,7 @@
 
     def __init__(self, branch, friendly_name=None, config={},
                  graph_cache=None, branch_link=None, is_root=False,
-                 served_url=_DEFAULT, use_yui_cdn=False):
+                 served_url=_DEFAULT):
         self.branch = branch
         self._config = config
         self.friendly_name = friendly_name
@@ -42,7 +42,6 @@
         self.graph_cache = graph_cache
         self.is_root = is_root
         self.served_url = served_url
-        self.use_yui_cdn = use_yui_cdn
 
     def get_history(self):
         _history = History(self.branch, self.graph_cache)
@@ -80,13 +79,6 @@
     def static_url(self, path):
         return self._static_url_base + path
 
-    def yui_url(self, path):
-        if self.use_yui_cdn:
-            base = 'http://yui.yahooapis.com/3.0.0pr2/build/'
-        else:
-            base = self.static_url('/static/javascript/yui/build/')
-        return base + path
-
     controllers_dict = {
         '+filediff': FileDiffUI,
         '+revlog': RevLogUI,

=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2009-04-01 20:11:48 +0000
+++ loggerhead/apps/filesystem.py	2009-03-31 19:31:45 +0000
@@ -32,8 +32,7 @@
         branch_app = BranchWSGIApp(
             branch, name,
             {'cachepath': self._config.SQL_DIR},
-            self.root.graph_cache, is_root=is_root,
-            use_yui_cdn=self._config.get_option('yui_cdn'))
+            self.root.graph_cache, is_root=is_root)
         return branch_app.app
 
     def app_for_non_branch(self, environ):

=== modified file 'loggerhead/config.py'
--- loggerhead/config.py	2009-04-01 20:11:48 +0000
+++ loggerhead/config.py	2009-03-31 21:43:03 +0000
@@ -10,7 +10,6 @@
         user_dirs=False,
         show_version=False,
         log_folder=None,
-        yui_cdn=False,
         )
     parser.add_option("--user-dirs", action="store_true", dest="user_dirs",
                       help="Serve user directories as ~user.")
@@ -36,8 +35,6 @@
                       type=str, help="The directory to place log files in.")
     parser.add_option("--version", action="store_true", dest="show_version",
                       help="Print the software version and exit")
-    parser.add_option('--yui-cdn', action='store_true',
-                      help="Serve YUI from Yahoo!'s CDN")
     return parser
 
 
@@ -56,7 +53,7 @@
 
     def get_arg(self, index):
         '''Get an arg from the arg list.'''
-        return self._args[index]
+        return self._args(index)
 
     def print_help(self):
         '''Wrapper around OptionParser.print_help.'''

=== modified file 'loggerhead/static/javascript/custom.js'
--- loggerhead/static/javascript/custom.js	2009-04-01 15:28:21 +0000
+++ loggerhead/static/javascript/custom.js	2009-04-01 14:40:05 +0000
@@ -140,7 +140,7 @@
 Collapsable.prototype._ensure_container = function(callback)
 {
   if (this.container == null) {
-    this.container = Y.Node.create('<div></div>');
+    this.container = Y.Node.create('<div style="overflow:hidden;"></div>');
     if (this.closed_node) {
       this.closed_node.ancestor().replaceChild(
         this.container, this.closed_node);
@@ -154,9 +154,6 @@
         this.container, this.open_node);
       this.container.appendChild(this.open_node);
     }
-    var outer = Y.Node.create('<div style="overflow:hidden;"></div>');
-    this.container.ancestor().replaceChild(outer, this.container);
-    outer.appendChild(this.container);
   }
 }
 

=== modified file 'loggerhead/templates/filediff.pt'
--- loggerhead/templates/filediff.pt	2009-04-01 15:28:21 +0000
+++ loggerhead/templates/filediff.pt	2009-03-17 00:02:21 +0000
@@ -1,4 +1,4 @@
-<div>
+<div class="diffinfo">
   <div class="pseudotable unified"
        tal:repeat="chunk chunks">
 

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2009-04-01 20:11:48 +0000
+++ loggerhead/templates/macros.pt	2009-04-01 14:40:05 +0000
@@ -17,23 +17,32 @@
       var expanded_icon_path = <tal:block content="python:'\''+branch.static_url('/static/images/treeExpanded.png')+'\''" />;
     </script>
     <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('yui/yui-min.js')"></script>
-    <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('oop/oop-min.js')"></script>
-    <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('event/event-min.js')"></script>
-    <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('attribute/attribute-min.js')"></script>
-    <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('base/base-min.js')"></script>
-    <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('dom/dom-min.js')"></script>
-    <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('node/node-min.js')"></script>
-    <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('anim/anim-min.js')"></script>
-    <script type="text/javascript"
-            tal:attributes="src python:branch.yui_url('io/io-base-min.js')"></script>
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/yui/yui-min.js')"></script>
+    <script type="text/javascript"
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/oop/oop-min.js')"></script>
+    <script type="text/javascript"
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/event/event-min.js')"></script>
+    <script type="text/javascript"
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/attribute/attribute-min.js')"></script>
+    <script type="text/javascript"
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/base/base-min.js')"></script>
+    <script type="text/javascript"
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/dom/dom-min.js')"></script>
+    <script type="text/javascript"
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/node/node-min.js')"></script>
+    <script type="text/javascript"
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/anim/anim-min.js')"></script>
+    <script type="text/javascript"
+            tal:attributes="src
+            python:branch.static_url('/static/javascript/yui/build/io/io-base-min.js')"></script>
     <script type="text/javascript"
             tal:attributes="src python:branch.static_url('/static/javascript/custom.js')"></script>
     <metal:block metal:define-slot="header_extras" />

=== modified file 'serve-branches'
--- serve-branches	2009-04-01 15:56:24 +0000
+++ serve-branches	2009-03-31 21:47:14 +0000
@@ -44,7 +44,7 @@
         config.print_help()
         sys.exit(1)
     elif config.arg_count == 1:
-        path = config.get_arg(0)
+        [path] = args
     else:
         path = '.'
 

